<?php if (!defined('PmWiki')) exit();
/**
 * functions.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2012
 * @note This file is part of Cookbook recipe "Infobox" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package infobox
 */

// **********************************************************
// Some fuctions
// **********************************************************

function infobox_get_tips_page($ibpage,$ibPagename) {
  if (PageExists($ibPagename)) {
     $page = RetrieveAuthPage($ibPagename,'read');
     $ibpagefmt = @$page['text'] . "\n";
  }
  return @$ibpagefmt;
}


## Infobox lib/js file
// *******************************************************
function infobox_set_lib() {
global $Infobox, $HTMLHeaderFmt;
//$infoboxInstallUrl = &$Infobox['Install']['dirUrl'];
$infoboxInstallUrlPath = &$Infobox['Install']['dirUrlPath']; #relative path
$HTMLHeaderFmt['infoboxLib'] = "
<!--infoboxLibFmt-->
<link rel='stylesheet' type='text/css' href='$infoboxInstallUrlPath/infobox.css' />
<script language='JavaScript' type='text/javascript' src='$infoboxInstallUrlPath/infobox.js'></script>
<!--/infoboxLibFmt-->";
}

## Initiate infobox lib
  function infobox_init_lib() {
    static $init_count;
    if($init_count < 1) {
      global $Infobox;
      infobox_set_lib();
      $Infobox['theme']['style'] = array();
      include_once($Infobox['Current']['dir'].'/themes/themes.php'); #todo
    }
    $init_count++;
    return;
  }
// *******************************************************


/**
 * Set/Show debug.
 * @param int value for debug level
 */
// *******************************************************
  function InfoboxDebug($EnableInfoboxDebug=0) {
    global $Infobox;
    if(1 === $EnableInfoboxDebug) {
      $infoboxDebugMsg = print_r($Infobox['debug']['msg'], true);
    }
    if(2 === $EnableInfoboxDebug) {
      $infoboxDebugMsg = print_r($Infobox, true);
    }
    return $infoboxDebugMsg;
  }
// *******************************************************

